import * as Knex from 'knex';
export interface TableOptions {
    tableName: string;
    resultTableName: string;
}
/**
 * Sets up tables in a PostgreSQL database.
 * @param knex Knex instance to use to setup tables.
 * @param options Specifies table names and other options
 */
export declare function setupTables(knex: Knex, options?: Partial<TableOptions>): Promise<any>;
/**
 * Drops tables from PostgreSQL database.
 * @param knex Knex instance to use to drop tables
 * @param options Specifies table names
 */
export declare function dropTables(knex: Knex, options?: Partial<TableOptions>): Promise<any>;
